/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.spring.mvc.propertyEditors;

import java.beans.PropertyEditorSupport;

/**
 * This software is the property of Portland Webworks.
 *
 * 
 *
 * @Author rnorthup
 */
public class EnumEditor extends PropertyEditorSupport
{
	private Class clazz;

	public EnumEditor(Class clazz)
	{
		this.clazz = clazz;
	}

	public String getAsText()
	{
		return (getValue() == null ? "" : ((Enum)getValue()).name());
	}

	public void setAsText(String text) throws IllegalArgumentException
	{
		setValue(Enum.valueOf(clazz, text));
	}
}
